function [bin,cnt] = deci2bin(deci)
% translate decimal representation to binary representation

quotient = 0;
k = 1;

if deci == 1,   % special case
    bin = [1];
    cnt = 1;
    return;
end

while(quotient~=1)  
    residue = mod(deci,2);
    quotient = (deci-residue)/2;
    deci = quotient;
    tmp(k) = residue;
    k = k+1;
end

bin(1) = 1;
for i = 2:k
    bin(i) = tmp(end-i+2);
end

cnt = length(bin);

end
